@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    height: 1490px;
}

a {
    text-decoration: none;
    color: #111;
}

img {
    max-width: 100%;
    position: relative;
    z-index: 1;
}

.container {
    max-width: 1400px;
    margin: 0 auto;
    position: relative;
    z-index: 2;
}

header {
    padding: 50px 0;
}

header .logo {
    color: #ffffff;
    font-family: Inter;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

span.selected-word {
    color: #ffffff;
    font-family: Inter;
    font-size: 48px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    position: relative;
    right: 3px;
  }
  span.selected-second-word {
    color: #ffffff;
    font-family: Inter;
    font-size: 48px;
    font-style: normal;
    font-weight: 200;
    line-height: normal;
    position: relative;
    right: 9px;
  }

  header nav {
    float: right;
    width: 60%;
  }

  header nav ul {
    list-style: none;
    display: flex;
    justify-content: space-between;
    position: relative;
    top: 7px;
  }

  header nav ul li {
    display: flex;
    height: 44px;
    padding: 10px 20px;
    justify-content: center;
    align-items: flex-start;
    gap: 10px;
    flex: 1 0 0;
    aspect-ratio: 7/2;
    position: relative;
    top: -1.5px;
  }

  header nav ul li a {
    color: #ffffff;
    font-family: Inter;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    position: relative;
  }

  header nav ul li a:hover:before {
    transform: scaleX(1);
    transition: transform 0.25s;
    transform-origin: left;
  }

  header nav ul li a::before {
    content: '';
    width: 100%;
    height: 2.5px;
    background-color: white;
    position: absolute;
    left: 0;
    bottom: -6px;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.25s;
  }

  header nav ul li:not(.contacts) a {
    position: relative;
    right: 240px;
}

  header nav ul li.contacts a {
    position: relative;
    right: 125px;
  }

.hero--info {
    width: 400px;
    padding-top: 110px;
    position: relative;
    left: 150px;
    z-index: 2;
    top: -60px;
}

.hero--info h1 {
    width: 528px;
    height: 183px;
    flex-shrink: 0;
    color: #ffffff;
    font-family: Inter;
    font-size: 64px;
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    max-width: 1400px;
}

.hero--info h4 {
    color: #FFF;
    font-family: Inter;
    font-size: 24px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    position: relative;
    top: 11px;
}

.herocontainer img {
    position: absolute;
    top: -150px;
}

.hero--info .button-hero {  
    display: flex;
    width: 196px;
    height: 80px;
    padding: 10px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
    border-radius: 10px;
    background: #FFF;
    color: #000;
    text-align: center;
    font-family: Inter;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    border: 0;
    position: relative;
    top: 70px;
    cursor: pointer;
    overflow: hidden;
    transition: all 0.5s ease;
    transform: scale(1);
}

.hero--info .button-hero:hover {
    background: #9fe8f7;
    transition: all 0.5s ease;
    transform: scale(1.2);
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.7);
}



.aboutme {
  width: 1196px;
  height: 694px;
  flex-shrink: 0;
  background: #AE8450;
  position: relative;
  z-index: 3;
  margin-left: auto;
  margin-right: auto;
  margin-top: 150px;
  display: flex;
}
.aboutme .aboutme-img {
  width: 463px;
  height: 694px;
  flex-shrink: 0;
  aspect-ratio: 463/694;
}

.aboutme .line {
  border-top: 3px solid #fff;
  position: relative;
  bottom: 10px;
}

.aboutme .aboutme-title {
  color: #FFF;
  font-family: Inter;
  font-size: 48px;
  font-style: normal;
  font-weight: 800;
  line-height: normal;
  position: relative;
  top: 25px;
}


  .aboutme .description {
  color: #FFF;
  font-family: Inter;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  position: relative;
  padding: 60px 50px;
  }


.aboutme .aboutme-description {
  position: relative; 
  top: 50px;
  line-height: auto;
  word-spacing: 7px
}

.aboutme .aboutme-description2 {
  position: relative; 
  top: 90px;
  line-height: auto;
  word-spacing: 7px
}

.footer {
  padding-bottom: 120px;
}


.aboutme-description p, .aboutme-description2 p {
  opacity: 0; /* Изначально строки невидимы */
  transform: translateY(20px); /* Легкое смещение для плавности */
  transition: opacity 0.5s ease, transform 0.5s ease; /* Анимация появления */
}

.aboutme-description.visible p, .aboutme-description2.visible p {
  opacity: 1; /* Показываем строки */
  transform: translateY(0); /* Возвращаем в нормальное положение */
}

.aboutme-description.visible p:nth-child(1) {
  transition-delay: 0s; /* Задержка для первой строки */
}

.aboutme-description.visible p:nth-child(2) {
  transition-delay: 0.1s; /* Задержка для второй строки */
}

.aboutme-description.visible p:nth-child(3) {
  transition-delay: 0.2s; /* Задержка для третей строки */
}

.aboutme-description.visible p:nth-child(4) {
  transition-delay: 0.3s; /* Задержка для четвертой строки */
}

.aboutme-description.visible p:nth-child(5) {
  transition-delay: 0.4s; /* Задержка для пятой строки */
}

.aboutme-description.visible p:nth-child(6) {
  transition-delay: 0.5s; /* Задержка для шестой строки */
} 

.aboutme-description.visible p:nth-child(7) {
  transition-delay: 0.6s; /* Задержка для седьмой строки */
} 

.aboutme-description.visible p:nth-child(8) {
  transition-delay: 0.7s; /* Задержка для восьмой строки */ 
} 

.aboutme-description.visible p:nth-child(9) {
  transition-delay: 0.8s; /* Задержка для девятой строки */
}

.aboutme-description.visible p:nth-child(10) {
  transition-delay: 0.9s; /* Задержка для десятой строки */
}   

.aboutme-description2.visible p:nth-child(1) {
  transition-delay: 1s; /* Задержка для первой строки */
}

.aboutme-description2.visible p:nth-child(2) {
  transition-delay: 1.1s; /* Задержка для второй строки */
}

.aboutme-description2.visible p:nth-child(3) {
  transition-delay: 1.2s;
}

.aboutme-description2.visible p:nth-child(4) {
  transition-delay: 1.3s;
}

.aboutme-description2.visible p:nth-child(5) {
  transition-delay: 1.4s;
}

.aboutme-description2.visible p:nth-child(6) {
  transition-delay: 1.5s;
}

.aboutme-description2.visible p:nth-child(7) {
  transition-delay: 1.6s;
}

.aboutme-description2.visible p:nth-child(9) {
  transition-delay: 1.7s;
}
